Retrieve a delta
Returns activity durations that have changed since the last delta token.
Caution
Read the Delta page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/activity-durations?delta
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-activity-durations.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
id |
integer | — | Read-only | Unique identifier for the activity duration. |
person.id |
integer | — | Read-only | Unique identifier of the person linked to this duration. |
date |
string | — | Read-only | Date of the activity duration (YYYY-MM-DD). |
durationInMinutes |
integer | — | Read-only | Duration in minutes for the activity. |
activityLevels.level |
integer | — | Read-only | A list of levels in the activity structure of the registered activity definition. |
activityLevels.activityDefinition.id |
string | — | Read-only | Unique identifier for the activity definition registered. |
absenceDefinition.id |
integer | — | Read-only | Unique identifier for the absence definition, if an absence is linked to the duration. |
request.id |
string | — | Read-only | Unique identifier for the request, if the duration was requested. |
counterDefinitions.id |
integer | — | Read-only | A list of unique identifiers for the counter definitions or multiple definitions, if one or more counters are linked to this duration. |
status |
string | — | Read-only | Status of the activity duration (Unknown, Auto, Manual). |
isAuthorized |
boolean | — | Read-only | Indicates if the activity duration is authorized. |
Filters
| Filter | Type | Description |
|---|---|---|
date |
Required | The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year |
Note
- People cannot be used in the delta
- The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year
- The end date isn’t required, when providing an end date there is a max range of 1 year
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
activity-definitions |
@data-entry-code, @external-reference |
Supported |
absence-definitions |
@absence-code |
Supported |
counter-definitions |
@counter-code |
Supported |
shift-definitions |
@shift-code |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax or unknown filter field |
401 |
Missing or invalid access token, or insufficient scope |
410 |
Delta token has expired (older than 72 hours) |
414 |
Request URI too long |
Examples
A delta with date and external references
Example for activity durations with a delta starting from 1st of January 2025 and multiple external references:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/activity-durations?filter=date ge '2025-01-01'&externalReferences=(people,@employee-number)(activity-definitions,@data-entry-code)(absence-definitions,@absence-code)(counter-definitions,@counter-code)&delta